## org.eclipse.ocl.cst
Interface CSTPackage.Literals

Enclosing interface:
  CSTPackage

    public static interface CSTPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `BOOLEAN_LITERAL_EXP_CS` The meta object literal for the '`Boolean Literal Exp CS`' class
`static EAttribute` `BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL` The meta object literal for the 'Boolean Symbol' attribute feature
`static EClass` `CALL_EXP_CS` The meta object literal for the '`Call Exp CS`' class
`static EAttribute` `CALL_EXP_CS__ACCESSOR` The meta object literal for the 'Accessor' attribute feature
`static EReference` `CALL_EXP_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EReference` `CALL_EXP_CS__SOURCE` The meta object literal for the 'Source' containment reference feature
`static EClass` `CLASSIFIER_CONTEXT_DECL_CS` The meta object literal for the '`Classifier Context Decl CS`' class
`static EReference` `CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS` The meta object literal for the 'Inv Or Def CS' containment reference feature
`static EReference` `CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS` The meta object literal for the 'Path Name CS' containment reference feature
`static EClass` `COLLECTION_LITERAL_EXP_CS` The meta object literal for the '`Collection Literal Exp CS`' class
`static EReference` `COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS` The meta object literal for the 'Collection Literal Parts' containment reference list feature
`static EAttribute` `COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE` The meta object literal for the 'Collection Type' attribute feature
`static EClass` `COLLECTION_LITERAL_PART_CS` The meta object literal for the '`Collection Literal Part CS`' class
`static EReference` `COLLECTION_LITERAL_PART_CS__EXPRESSION_CS` The meta object literal for the 'Expression CS' containment reference feature
`static EClass` `COLLECTION_RANGE_CS` The meta object literal for the '`Collection Range CS`' class
`static EReference` `COLLECTION_RANGE_CS__LAST_EXPRESSION_CS` The meta object literal for the 'Last Expression CS' containment reference feature
`static EClass` `COLLECTION_TYPE_CS` The meta object literal for the '`Collection Type CS`' class
`static EAttribute` `COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER` The meta object literal for the 'Collection Type Identifier' attribute feature
`static EReference` `COLLECTION_TYPE_CS__TYPE_CS` The meta object literal for the 'Type CS' containment reference feature
`static EEnum` `COLLECTION_TYPE_IDENTIFIER_ENUM` The meta object literal for the '`Collection Type Identifier Enum`' enum
`static EClass` `CONTEXT_DECL_CS` The meta object literal for the '`Context Decl CS`' class
`static EClass` `CST_NODE` The meta object literal for the '`Node`' class
`static EAttribute` `CST_NODE__END_OFFSET` The meta object literal for the 'End Offset' attribute feature
`static EAttribute` `CST_NODE__START_OFFSET` The meta object literal for the 'Start Offset' attribute feature
`static EClass` `DEF_CS` The meta object literal for the '`Def CS`' class
`static EReference` `DEF_CS__DEF_EXPRESSION_CS` The meta object literal for the 'Def Expression CS' containment reference feature
`static EClass` `DEF_EXPRESSION_CS` The meta object literal for the '`Def Expression CS`' class
`static EReference` `DEF_EXPRESSION_CS__EXPRESSION_CS` The meta object literal for the 'Expression CS' containment reference feature
`static EReference` `DEF_EXPRESSION_CS__OPERATION_CS` The meta object literal for the 'Operation CS' containment reference feature
`static EReference` `DEF_EXPRESSION_CS__VARIABLE_CS` The meta object literal for the 'Variable CS' containment reference feature
`static EClass` `DER_VALUE_CS` The meta object literal for the '`Der Value CS`' class
`static EEnum` `DOT_OR_ARROW_ENUM` The meta object literal for the '`Dot Or Arrow Enum`' enum
`static EClass` `ENUM_LITERAL_EXP_CS` The meta object literal for the '`Enum Literal Exp CS`' class
`static EReference` `ENUM_LITERAL_EXP_CS__PATH_NAME_CS` The meta object literal for the 'Path Name CS' containment reference feature
`static EReference` `ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EClass` `FEATURE_CALL_EXP_CS` The meta object literal for the '`Feature Call Exp CS`' class
`static EReference` `FEATURE_CALL_EXP_CS__ARGUMENTS` The meta object literal for the 'Arguments' containment reference list feature
`static EReference` `FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS` The meta object literal for the 'Is Marked Pre CS' containment reference feature
`static EClass` `IF_EXP_CS` The meta object literal for the '`If Exp CS`' class
`static EReference` `IF_EXP_CS__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EReference` `IF_EXP_CS__ELSE_EXPRESSION` The meta object literal for the 'Else Expression' containment reference feature
`static EReference` `IF_EXP_CS__THEN_EXPRESSION` The meta object literal for the 'Then Expression' containment reference feature
`static EClass` `INIT_OR_DER_VALUE_CS` The meta object literal for the '`Init Or Der Value CS`' class
`static EReference` `INIT_OR_DER_VALUE_CS__EXPRESSION_CS` The meta object literal for the 'Expression CS' containment reference feature
`static EReference` `INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS` The meta object literal for the 'Init Or Der Value CS' containment reference feature
`static EClass` `INIT_VALUE_CS` The meta object literal for the '`Init Value CS`' class
`static EClass` `INTEGER_LITERAL_EXP_CS` The meta object literal for the '`Integer Literal Exp CS`' class
`static EAttribute` `INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL` The meta object literal for the 'Integer Symbol' attribute feature
`static EClass` `INV_CS` The meta object literal for the '`Inv CS`' class
`static EReference` `INV_CS__EXPRESSION_CS` The meta object literal for the 'Expression CS' containment reference feature
`static EClass` `INV_OR_DEF_CS` The meta object literal for the '`Inv Or Def CS`' class
`static EReference` `INV_OR_DEF_CS__INV_OR_DEF_CS` The meta object literal for the 'Inv Or Def CS' reference feature
`static EReference` `INV_OR_DEF_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EClass` `INVALID_LITERAL_EXP_CS` The meta object literal for the '`Invalid Literal Exp CS`' class
`static EAttribute` `INVALID_LITERAL_EXP_CS__SYMBOL` The meta object literal for the 'Symbol' attribute feature
`static EClass` `IS_MARKED_PRE_CS` The meta object literal for the '`Is Marked Pre CS`' class
`static EAttribute` `IS_MARKED_PRE_CS__PRE` The meta object literal for the 'Pre' attribute feature
`static EClass` `ITERATE_EXP_CS` The meta object literal for the '`Iterate Exp CS`' class
`static EClass` `ITERATOR_EXP_CS` The meta object literal for the '`Iterator Exp CS`' class
`static EClass` `LET_EXP_CS` The meta object literal for the '`Let Exp CS`' class
`static EReference` `LET_EXP_CS__IN_EXPRESSION` The meta object literal for the 'In Expression' containment reference feature
`static EReference` `LET_EXP_CS__VARIABLES` The meta object literal for the 'Variables' containment reference list feature
`static EClass` `LITERAL_EXP_CS` The meta object literal for the '`Literal Exp CS`' class
`static EClass` `LOOP_EXP_CS` The meta object literal for the '`Loop Exp CS`' class
`static EReference` `LOOP_EXP_CS__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `LOOP_EXP_CS__VARIABLE1` The meta object literal for the 'Variable1' containment reference feature
`static EReference` `LOOP_EXP_CS__VARIABLE2` The meta object literal for the 'Variable2' containment reference feature
`static EClass` `MESSAGE_EXP_CS` The meta object literal for the '`Message Exp CS`' class
`static EReference` `MESSAGE_EXP_CS__ARGUMENTS` The meta object literal for the 'Arguments' containment reference list feature
`static EAttribute` `MESSAGE_EXP_CS__KIND` The meta object literal for the 'Kind' attribute feature
`static EReference` `MESSAGE_EXP_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EReference` `MESSAGE_EXP_CS__TARGET` The meta object literal for the 'Target' containment reference feature
`static EEnum` `MESSAGE_EXP_KIND` The meta object literal for the '`Message Exp Kind`' enum
`static EClass` `NULL_LITERAL_EXP_CS` The meta object literal for the '`Null Literal Exp CS`' class
`static EAttribute` `NULL_LITERAL_EXP_CS__SYMBOL` The meta object literal for the 'Symbol' attribute feature
`static EClass` `OCL_EXPRESSION_CS` The meta object literal for the '`OCL Expression CS`' class
`static EClass` `OCL_MESSAGE_ARG_CS` The meta object literal for the '`OCL Message Arg CS`' class
`static EReference` `OCL_MESSAGE_ARG_CS__EXPRESSION` The meta object literal for the 'Expression' containment reference feature
`static EReference` `OCL_MESSAGE_ARG_CS__TYPE_CS` The meta object literal for the 'Type CS' containment reference feature
`static EClass` `OPERATION_CALL_EXP_CS` The meta object literal for the '`Operation Call Exp CS`' class
`static EClass` `OPERATION_CONTEXT_DECL_CS` The meta object literal for the '`Operation Context Decl CS`' class
`static EReference` `OPERATION_CONTEXT_DECL_CS__OPERATION_CS` The meta object literal for the 'Operation CS' containment reference feature
`static EReference` `OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS` The meta object literal for the 'Pre Post Or Body Decls' containment reference list feature
`static EClass` `OPERATION_CS` The meta object literal for the '`Operation CS`' class
`static EReference` `OPERATION_CS__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature
`static EReference` `OPERATION_CS__PATH_NAME_CS` The meta object literal for the 'Path Name CS' containment reference feature
`static EReference` `OPERATION_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EReference` `OPERATION_CS__TYPE_CS` The meta object literal for the 'Type CS' containment reference feature
`static EClass` `PACKAGE_DECLARATION_CS` The meta object literal for the '`Package Declaration CS`' class
`static EReference` `PACKAGE_DECLARATION_CS__CONTEXT_DECLS` The meta object literal for the 'Context Decls' containment reference list feature
`static EReference` `PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS` The meta object literal for the 'Package Declaration CS' reference feature
`static EReference` `PACKAGE_DECLARATION_CS__PATH_NAME_CS` The meta object literal for the 'Path Name CS' containment reference feature
`static EClass` `PATH_NAME_CS` The meta object literal for the '`Path Name CS`' class
`static EAttribute` `PATH_NAME_CS__SEQUENCE_OF_NAMES` The meta object literal for the 'Sequence Of Names' attribute list feature
`static EClass` `PRE_POST_OR_BODY_DECL_CS` The meta object literal for the '`Pre Post Or Body Decl CS`' class
`static EReference` `PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS` The meta object literal for the 'Expression CS' containment reference feature
`static EAttribute` `PRE_POST_OR_BODY_DECL_CS__KIND` The meta object literal for the 'Kind' attribute feature
`static EReference` `PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EEnum` `PRE_POST_OR_BODY_ENUM` The meta object literal for the '`Pre Post Or Body Enum`' enum
`static EClass` `PRIMITIVE_LITERAL_EXP_CS` The meta object literal for the '`Primitive Literal Exp CS`' class
`static EAttribute` `PRIMITIVE_LITERAL_EXP_CS__SYMBOL` The meta object literal for the 'Symbol' attribute feature
`static EClass` `PRIMITIVE_TYPE_CS` The meta object literal for the '`Primitive Type CS`' class
`static EClass` `PROPERTY_CONTEXT_CS` The meta object literal for the '`Property Context CS`' class
`static EReference` `PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS` The meta object literal for the 'Init Or Der Value CS' containment reference feature
`static EReference` `PROPERTY_CONTEXT_CS__PATH_NAME_CS` The meta object literal for the 'Path Name CS' containment reference feature
`static EReference` `PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature
`static EReference` `PROPERTY_CONTEXT_CS__TYPE_CS` The meta object literal for the 'Type CS' containment reference feature
`static EClass` `REAL_LITERAL_EXP_CS` The meta object literal for the '`Real Literal Exp CS`' class
`static EAttribute` `REAL_LITERAL_EXP_CS__REAL_SYMBOL` The meta object literal for the 'Real Symbol' attribute feature
`static EClass` `SIMPLE_NAME_CS` The meta object literal for the '`Simple Name CS`' class
`static EAttribute` `SIMPLE_NAME_CS__TYPE` The meta object literal for the 'Type' attribute feature
`static EAttribute` `SIMPLE_NAME_CS__VALUE` The meta object literal for the 'Value' attribute feature
`static EEnum` `SIMPLE_TYPE_ENUM` The meta object literal for the '`Simple Type Enum`' enum
`static EClass` `STATE_EXP_CS` The meta object literal for the '`State Exp CS`' class
`static EAttribute` `STATE_EXP_CS__SEQUENCE_OF_NAMES` The meta object literal for the 'Sequence Of Names' attribute list feature
`static EClass` `STRING_LITERAL_EXP_CS` The meta object literal for the '`String Literal Exp CS`' class
`static EAttribute` `STRING_LITERAL_EXP_CS__STRING_SYMBOL` The meta object literal for the 'String Symbol' attribute feature
`static EClass` `TUPLE_LITERAL_EXP_CS` The meta object literal for the '`Tuple Literal Exp CS`' class
`static EReference` `TUPLE_LITERAL_EXP_CS__VARIABLES` The meta object literal for the 'Variables' containment reference list feature
`static EClass` `TUPLE_TYPE_CS` The meta object literal for the '`Tuple Type CS`' class
`static EReference` `TUPLE_TYPE_CS__VARIABLES` The meta object literal for the 'Variables' containment reference list feature
`static EClass` `TYPE_CS` The meta object literal for the '`Type CS`' class
`static EClass` `UNLIMITED_NATURAL_LITERAL_EXP_CS` The meta object literal for the '`Unlimited Natural Literal Exp CS`' class
`static EAttribute` `UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL` The meta object literal for the 'Integer Symbol' attribute feature
`static EClass` `VARIABLE_CS` The meta object literal for the '`Variable CS`' class
`static EReference` `VARIABLE_CS__INIT_EXPRESSION` The meta object literal for the 'Init Expression' containment reference feature
`static EAttribute` `VARIABLE_CS__NAME` The meta object literal for the 'Name' attribute feature
`static EReference` `VARIABLE_CS__TYPE_CS` The meta object literal for the 'Type CS' containment reference feature
`static EClass` `VARIABLE_EXP_CS` The meta object literal for the '`Variable Exp CS`' class
`static EReference` `VARIABLE_EXP_CS__ARGUMENTS` The meta object literal for the 'Arguments' containment reference list feature
`static EReference` `VARIABLE_EXP_CS__IS_MARKED_PRE_CS` The meta object literal for the 'Is Marked Pre CS' containment reference feature
`static EReference` `VARIABLE_EXP_CS__SIMPLE_NAME_CS` The meta object literal for the 'Simple Name CS' containment reference feature

Field Detail

### CST_NODE

    static final EClass CST_NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `CSTNodeImpl`, `CSTPackageImpl.getCSTNode()`

### CST_NODE__START_OFFSET

    static final EAttribute CST_NODE__START_OFFSET

  The meta object literal for the 'Start Offset' attribute feature.

### CST_NODE__END_OFFSET

    static final EAttribute CST_NODE__END_OFFSET

  The meta object literal for the 'End Offset' attribute feature.

### PACKAGE_DECLARATION_CS

    static final EClass PACKAGE_DECLARATION_CS

  The meta object literal for the '`Package Declaration CS`' class.

  See Also:
    `PackageDeclarationCSImpl`, `CSTPackageImpl.getPackageDeclarationCS()`

### PACKAGE_DECLARATION_CS__PATH_NAME_CS

    static final EReference PACKAGE_DECLARATION_CS__PATH_NAME_CS

  The meta object literal for the 'Path Name CS' containment reference feature.

### PACKAGE_DECLARATION_CS__CONTEXT_DECLS

    static final EReference PACKAGE_DECLARATION_CS__CONTEXT_DECLS

  The meta object literal for the 'Context Decls' containment reference list feature.

### PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS

    static final EReference PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS

  The meta object literal for the 'Package Declaration CS' reference feature.

### PATH_NAME_CS

    static final EClass PATH_NAME_CS

  The meta object literal for the '`Path Name CS`' class.

  See Also:
    `PathNameCSImpl`, `CSTPackageImpl.getPathNameCS()`

### PATH_NAME_CS__SEQUENCE_OF_NAMES

    static final EAttribute PATH_NAME_CS__SEQUENCE_OF_NAMES

  The meta object literal for the 'Sequence Of Names' attribute list feature.

### TYPE_CS

    static final EClass TYPE_CS

  The meta object literal for the '`Type CS`' class.

  See Also:
    `TypeCSImpl`, `CSTPackageImpl.getTypeCS()`

### OCL_EXPRESSION_CS

    static final EClass OCL_EXPRESSION_CS

  The meta object literal for the '`OCL Expression CS`' class.

  See Also:
    `OCLExpressionCSImpl`, `CSTPackageImpl.getOCLExpressionCS()`

### CONTEXT_DECL_CS

    static final EClass CONTEXT_DECL_CS

  The meta object literal for the '`Context Decl CS`' class.

  See Also:
    `ContextDeclCSImpl`, `CSTPackageImpl.getContextDeclCS()`

### PROPERTY_CONTEXT_CS

    static final EClass PROPERTY_CONTEXT_CS

  The meta object literal for the '`Property Context CS`' class.

  See Also:
    `PropertyContextCSImpl`, `CSTPackageImpl.getPropertyContextCS()`

### PROPERTY_CONTEXT_CS__PATH_NAME_CS

    static final EReference PROPERTY_CONTEXT_CS__PATH_NAME_CS

  The meta object literal for the 'Path Name CS' containment reference feature.

### PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS

    static final EReference PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### PROPERTY_CONTEXT_CS__TYPE_CS

    static final EReference PROPERTY_CONTEXT_CS__TYPE_CS

  The meta object literal for the 'Type CS' containment reference feature.

### PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS

    static final EReference PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS

  The meta object literal for the 'Init Or Der Value CS' containment reference feature.

### SIMPLE_NAME_CS

    static final EClass SIMPLE_NAME_CS

  The meta object literal for the '`Simple Name CS`' class.

  See Also:
    `SimpleNameCSImpl`, `CSTPackageImpl.getSimpleNameCS()`

### SIMPLE_NAME_CS__VALUE

    static final EAttribute SIMPLE_NAME_CS__VALUE

  The meta object literal for the 'Value' attribute feature.

### SIMPLE_NAME_CS__TYPE

    static final EAttribute SIMPLE_NAME_CS__TYPE

  The meta object literal for the 'Type' attribute feature.

### INIT_OR_DER_VALUE_CS

    static final EClass INIT_OR_DER_VALUE_CS

  The meta object literal for the '`Init Or Der Value CS`' class.

  See Also:
    `InitOrDerValueCSImpl`, `CSTPackageImpl.getInitOrDerValueCS()`

### INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS

    static final EReference INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS

  The meta object literal for the 'Init Or Der Value CS' containment reference feature.

### INIT_OR_DER_VALUE_CS__EXPRESSION_CS

    static final EReference INIT_OR_DER_VALUE_CS__EXPRESSION_CS

  The meta object literal for the 'Expression CS' containment reference feature.

### CLASSIFIER_CONTEXT_DECL_CS

    static final EClass CLASSIFIER_CONTEXT_DECL_CS

  The meta object literal for the '`Classifier Context Decl CS`' class.

  See Also:
    `ClassifierContextDeclCSImpl`, `CSTPackageImpl.getClassifierContextDeclCS()`

### CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS

    static final EReference CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS

  The meta object literal for the 'Path Name CS' containment reference feature.

### CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS

    static final EReference CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS

  The meta object literal for the 'Inv Or Def CS' containment reference feature.

### INV_OR_DEF_CS

    static final EClass INV_OR_DEF_CS

  The meta object literal for the '`Inv Or Def CS`' class.

  See Also:
    `InvOrDefCSImpl`, `CSTPackageImpl.getInvOrDefCS()`

### INV_OR_DEF_CS__SIMPLE_NAME_CS

    static final EReference INV_OR_DEF_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### INV_OR_DEF_CS__INV_OR_DEF_CS

    static final EReference INV_OR_DEF_CS__INV_OR_DEF_CS

  The meta object literal for the 'Inv Or Def CS' reference feature.

### OPERATION_CONTEXT_DECL_CS

    static final EClass OPERATION_CONTEXT_DECL_CS

  The meta object literal for the '`Operation Context Decl CS`' class.

  See Also:
    `OperationContextDeclCSImpl`, `CSTPackageImpl.getOperationContextDeclCS()`

### OPERATION_CONTEXT_DECL_CS__OPERATION_CS

    static final EReference OPERATION_CONTEXT_DECL_CS__OPERATION_CS

  The meta object literal for the 'Operation CS' containment reference feature.

### OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS

    static final EReference OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS

  The meta object literal for the 'Pre Post Or Body Decls' containment reference list feature.

### OPERATION_CS

    static final EClass OPERATION_CS

  The meta object literal for the '`Operation CS`' class.

  See Also:
    `OperationCSImpl`, `CSTPackageImpl.getOperationCS()`

### OPERATION_CS__PATH_NAME_CS

    static final EReference OPERATION_CS__PATH_NAME_CS

  The meta object literal for the 'Path Name CS' containment reference feature.

### OPERATION_CS__SIMPLE_NAME_CS

    static final EReference OPERATION_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### OPERATION_CS__PARAMETERS

    static final EReference OPERATION_CS__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### OPERATION_CS__TYPE_CS

    static final EReference OPERATION_CS__TYPE_CS

  The meta object literal for the 'Type CS' containment reference feature.

### VARIABLE_CS

    static final EClass VARIABLE_CS

  The meta object literal for the '`Variable CS`' class.

  See Also:
    `VariableCSImpl`, `CSTPackageImpl.getVariableCS()`

### VARIABLE_CS__NAME

    static final EAttribute VARIABLE_CS__NAME

  The meta object literal for the 'Name' attribute feature.

### VARIABLE_CS__TYPE_CS

    static final EReference VARIABLE_CS__TYPE_CS

  The meta object literal for the 'Type CS' containment reference feature.

### VARIABLE_CS__INIT_EXPRESSION

    static final EReference VARIABLE_CS__INIT_EXPRESSION

  The meta object literal for the 'Init Expression' containment reference feature.

### PRE_POST_OR_BODY_DECL_CS

    static final EClass PRE_POST_OR_BODY_DECL_CS

  The meta object literal for the '`Pre Post Or Body Decl CS`' class.

  See Also:
    `PrePostOrBodyDeclCSImpl`, `CSTPackageImpl.getPrePostOrBodyDeclCS()`

### PRE_POST_OR_BODY_DECL_CS__KIND

    static final EAttribute PRE_POST_OR_BODY_DECL_CS__KIND

  The meta object literal for the 'Kind' attribute feature.

### PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS

    static final EReference PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS

    static final EReference PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS

  The meta object literal for the 'Expression CS' containment reference feature.

### DER_VALUE_CS

    static final EClass DER_VALUE_CS

  The meta object literal for the '`Der Value CS`' class.

  See Also:
    `DerValueCSImpl`, `CSTPackageImpl.getDerValueCS()`

### INIT_VALUE_CS

    static final EClass INIT_VALUE_CS

  The meta object literal for the '`Init Value CS`' class.

  See Also:
    `InitValueCSImpl`, `CSTPackageImpl.getInitValueCS()`

### INV_CS

    static final EClass INV_CS

  The meta object literal for the '`Inv CS`' class.

  See Also:
    `InvCSImpl`, `CSTPackageImpl.getInvCS()`

### INV_CS__EXPRESSION_CS

    static final EReference INV_CS__EXPRESSION_CS

  The meta object literal for the 'Expression CS' containment reference feature.

### DEF_CS

    static final EClass DEF_CS

  The meta object literal for the '`Def CS`' class.

  See Also:
    `DefCSImpl`, `CSTPackageImpl.getDefCS()`

### DEF_CS__DEF_EXPRESSION_CS

    static final EReference DEF_CS__DEF_EXPRESSION_CS

  The meta object literal for the 'Def Expression CS' containment reference feature.

### DEF_EXPRESSION_CS

    static final EClass DEF_EXPRESSION_CS

  The meta object literal for the '`Def Expression CS`' class.

  See Also:
    `DefExpressionCSImpl`, `CSTPackageImpl.getDefExpressionCS()`

### DEF_EXPRESSION_CS__OPERATION_CS

    static final EReference DEF_EXPRESSION_CS__OPERATION_CS

  The meta object literal for the 'Operation CS' containment reference feature.

### DEF_EXPRESSION_CS__VARIABLE_CS

    static final EReference DEF_EXPRESSION_CS__VARIABLE_CS

  The meta object literal for the 'Variable CS' containment reference feature.

### DEF_EXPRESSION_CS__EXPRESSION_CS

    static final EReference DEF_EXPRESSION_CS__EXPRESSION_CS

  The meta object literal for the 'Expression CS' containment reference feature.

### VARIABLE_EXP_CS

    static final EClass VARIABLE_EXP_CS

  The meta object literal for the '`Variable Exp CS`' class.

  See Also:
    `VariableExpCSImpl`, `CSTPackageImpl.getVariableExpCS()`

### VARIABLE_EXP_CS__ARGUMENTS

    static final EReference VARIABLE_EXP_CS__ARGUMENTS

  The meta object literal for the 'Arguments' containment reference list feature.

### VARIABLE_EXP_CS__SIMPLE_NAME_CS

    static final EReference VARIABLE_EXP_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### VARIABLE_EXP_CS__IS_MARKED_PRE_CS

    static final EReference VARIABLE_EXP_CS__IS_MARKED_PRE_CS

  The meta object literal for the 'Is Marked Pre CS' containment reference feature.

### IS_MARKED_PRE_CS

    static final EClass IS_MARKED_PRE_CS

  The meta object literal for the '`Is Marked Pre CS`' class.

  See Also:
    `IsMarkedPreCSImpl`, `CSTPackageImpl.getIsMarkedPreCS()`

### IS_MARKED_PRE_CS__PRE

    static final EAttribute IS_MARKED_PRE_CS__PRE

  The meta object literal for the 'Pre' attribute feature.

### PRIMITIVE_TYPE_CS

    static final EClass PRIMITIVE_TYPE_CS

  The meta object literal for the '`Primitive Type CS`' class.

  See Also:
    `PrimitiveTypeCSImpl`, `CSTPackageImpl.getPrimitiveTypeCS()`

### TUPLE_TYPE_CS

    static final EClass TUPLE_TYPE_CS

  The meta object literal for the '`Tuple Type CS`' class.

  See Also:
    `TupleTypeCSImpl`, `CSTPackageImpl.getTupleTypeCS()`

### TUPLE_TYPE_CS__VARIABLES

    static final EReference TUPLE_TYPE_CS__VARIABLES

  The meta object literal for the 'Variables' containment reference list feature.

### COLLECTION_TYPE_CS

    static final EClass COLLECTION_TYPE_CS

  The meta object literal for the '`Collection Type CS`' class.

  See Also:
    `CollectionTypeCSImpl`, `CSTPackageImpl.getCollectionTypeCS()`

### COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER

    static final EAttribute COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER

  The meta object literal for the 'Collection Type Identifier' attribute feature.

### COLLECTION_TYPE_CS__TYPE_CS

    static final EReference COLLECTION_TYPE_CS__TYPE_CS

  The meta object literal for the 'Type CS' containment reference feature.

### LET_EXP_CS

    static final EClass LET_EXP_CS

  The meta object literal for the '`Let Exp CS`' class.

  See Also:
    `LetExpCSImpl`, `CSTPackageImpl.getLetExpCS()`

### LET_EXP_CS__VARIABLES

    static final EReference LET_EXP_CS__VARIABLES

  The meta object literal for the 'Variables' containment reference list feature.

### LET_EXP_CS__IN_EXPRESSION

    static final EReference LET_EXP_CS__IN_EXPRESSION

  The meta object literal for the 'In Expression' containment reference feature.

### IF_EXP_CS

    static final EClass IF_EXP_CS

  The meta object literal for the '`If Exp CS`' class.

  See Also:
    `IfExpCSImpl`, `CSTPackageImpl.getIfExpCS()`

### IF_EXP_CS__THEN_EXPRESSION

    static final EReference IF_EXP_CS__THEN_EXPRESSION

  The meta object literal for the 'Then Expression' containment reference feature.

### IF_EXP_CS__ELSE_EXPRESSION

    static final EReference IF_EXP_CS__ELSE_EXPRESSION

  The meta object literal for the 'Else Expression' containment reference feature.

### IF_EXP_CS__CONDITION

    static final EReference IF_EXP_CS__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### MESSAGE_EXP_CS

    static final EClass MESSAGE_EXP_CS

  The meta object literal for the '`Message Exp CS`' class.

  See Also:
    `MessageExpCSImpl`, `CSTPackageImpl.getMessageExpCS()`

### MESSAGE_EXP_CS__TARGET

    static final EReference MESSAGE_EXP_CS__TARGET

  The meta object literal for the 'Target' containment reference feature.

### MESSAGE_EXP_CS__KIND

    static final EAttribute MESSAGE_EXP_CS__KIND

  The meta object literal for the 'Kind' attribute feature.

### MESSAGE_EXP_CS__SIMPLE_NAME_CS

    static final EReference MESSAGE_EXP_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### MESSAGE_EXP_CS__ARGUMENTS

    static final EReference MESSAGE_EXP_CS__ARGUMENTS

  The meta object literal for the 'Arguments' containment reference list feature.

### OCL_MESSAGE_ARG_CS

    static final EClass OCL_MESSAGE_ARG_CS

  The meta object literal for the '`OCL Message Arg CS`' class.

  See Also:
    `OCLMessageArgCSImpl`, `CSTPackageImpl.getOCLMessageArgCS()`

### OCL_MESSAGE_ARG_CS__TYPE_CS

    static final EReference OCL_MESSAGE_ARG_CS__TYPE_CS

  The meta object literal for the 'Type CS' containment reference feature.

### OCL_MESSAGE_ARG_CS__EXPRESSION

    static final EReference OCL_MESSAGE_ARG_CS__EXPRESSION

  The meta object literal for the 'Expression' containment reference feature.

### LITERAL_EXP_CS

    static final EClass LITERAL_EXP_CS

  The meta object literal for the '`Literal Exp CS`' class.

  See Also:
    `LiteralExpCSImpl`, `CSTPackageImpl.getLiteralExpCS()`

### ENUM_LITERAL_EXP_CS

    static final EClass ENUM_LITERAL_EXP_CS

  The meta object literal for the '`Enum Literal Exp CS`' class.

  See Also:
    `EnumLiteralExpCSImpl`, `CSTPackageImpl.getEnumLiteralExpCS()`

### ENUM_LITERAL_EXP_CS__PATH_NAME_CS

    static final EReference ENUM_LITERAL_EXP_CS__PATH_NAME_CS

  The meta object literal for the 'Path Name CS' containment reference feature.

### ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS

    static final EReference ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### COLLECTION_LITERAL_EXP_CS

    static final EClass COLLECTION_LITERAL_EXP_CS

  The meta object literal for the '`Collection Literal Exp CS`' class.

  See Also:
    `CollectionLiteralExpCSImpl`, `CSTPackageImpl.getCollectionLiteralExpCS()`

### COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE

    static final EAttribute COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE

  The meta object literal for the 'Collection Type' attribute feature.

### COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS

    static final EReference COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS

  The meta object literal for the 'Collection Literal Parts' containment reference list feature.

### COLLECTION_LITERAL_PART_CS

    static final EClass COLLECTION_LITERAL_PART_CS

  The meta object literal for the '`Collection Literal Part CS`' class.

  See Also:
    `CollectionLiteralPartCSImpl`, `CSTPackageImpl.getCollectionLiteralPartCS()`

### COLLECTION_LITERAL_PART_CS__EXPRESSION_CS

    static final EReference COLLECTION_LITERAL_PART_CS__EXPRESSION_CS

  The meta object literal for the 'Expression CS' containment reference feature.

### TUPLE_LITERAL_EXP_CS

    static final EClass TUPLE_LITERAL_EXP_CS

  The meta object literal for the '`Tuple Literal Exp CS`' class.

  See Also:
    `TupleLiteralExpCSImpl`, `CSTPackageImpl.getTupleLiteralExpCS()`

### TUPLE_LITERAL_EXP_CS__VARIABLES

    static final EReference TUPLE_LITERAL_EXP_CS__VARIABLES

  The meta object literal for the 'Variables' containment reference list feature.

### PRIMITIVE_LITERAL_EXP_CS

    static final EClass PRIMITIVE_LITERAL_EXP_CS

  The meta object literal for the '`Primitive Literal Exp CS`' class.

  See Also:
    `PrimitiveLiteralExpCSImpl`, `CSTPackageImpl.getPrimitiveLiteralExpCS()`

### PRIMITIVE_LITERAL_EXP_CS__SYMBOL

    static final EAttribute PRIMITIVE_LITERAL_EXP_CS__SYMBOL

  The meta object literal for the 'Symbol' attribute feature.

### INTEGER_LITERAL_EXP_CS

    static final EClass INTEGER_LITERAL_EXP_CS

  The meta object literal for the '`Integer Literal Exp CS`' class.

  See Also:
    `IntegerLiteralExpCSImpl`, `CSTPackageImpl.getIntegerLiteralExpCS()`

### INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL

    static final EAttribute INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL

  The meta object literal for the 'Integer Symbol' attribute feature.

### UNLIMITED_NATURAL_LITERAL_EXP_CS

    static final EClass UNLIMITED_NATURAL_LITERAL_EXP_CS

  The meta object literal for the '`Unlimited Natural Literal Exp CS`' class.

  See Also:
    `UnlimitedNaturalLiteralExpCSImpl`, `CSTPackageImpl.getUnlimitedNaturalLiteralExpCS()`

### UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL

    static final EAttribute UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL

  The meta object literal for the 'Integer Symbol' attribute feature.

### REAL_LITERAL_EXP_CS

    static final EClass REAL_LITERAL_EXP_CS

  The meta object literal for the '`Real Literal Exp CS`' class.

  See Also:
    `RealLiteralExpCSImpl`, `CSTPackageImpl.getRealLiteralExpCS()`

### REAL_LITERAL_EXP_CS__REAL_SYMBOL

    static final EAttribute REAL_LITERAL_EXP_CS__REAL_SYMBOL

  The meta object literal for the 'Real Symbol' attribute feature.

### STRING_LITERAL_EXP_CS

    static final EClass STRING_LITERAL_EXP_CS

  The meta object literal for the '`String Literal Exp CS`' class.

  See Also:
    `StringLiteralExpCSImpl`, `CSTPackageImpl.getStringLiteralExpCS()`

### STRING_LITERAL_EXP_CS__STRING_SYMBOL

    static final EAttribute STRING_LITERAL_EXP_CS__STRING_SYMBOL

  The meta object literal for the 'String Symbol' attribute feature.

### BOOLEAN_LITERAL_EXP_CS

    static final EClass BOOLEAN_LITERAL_EXP_CS

  The meta object literal for the '`Boolean Literal Exp CS`' class.

  See Also:
    `BooleanLiteralExpCSImpl`, `CSTPackageImpl.getBooleanLiteralExpCS()`

### BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL

    static final EAttribute BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL

  The meta object literal for the 'Boolean Symbol' attribute feature.

### NULL_LITERAL_EXP_CS

    static final EClass NULL_LITERAL_EXP_CS

  The meta object literal for the '`Null Literal Exp CS`' class.

  See Also:
    `NullLiteralExpCSImpl`, `CSTPackageImpl.getNullLiteralExpCS()`

### NULL_LITERAL_EXP_CS__SYMBOL

    static final EAttribute NULL_LITERAL_EXP_CS__SYMBOL

  The meta object literal for the 'Symbol' attribute feature.

### INVALID_LITERAL_EXP_CS

    static final EClass INVALID_LITERAL_EXP_CS

  The meta object literal for the '`Invalid Literal Exp CS`' class.

  See Also:
    `InvalidLiteralExpCSImpl`, `CSTPackageImpl.getInvalidLiteralExpCS()`

### INVALID_LITERAL_EXP_CS__SYMBOL

    static final EAttribute INVALID_LITERAL_EXP_CS__SYMBOL

  The meta object literal for the 'Symbol' attribute feature.

### COLLECTION_RANGE_CS

    static final EClass COLLECTION_RANGE_CS

  The meta object literal for the '`Collection Range CS`' class.

  See Also:
    `CollectionRangeCSImpl`, `CSTPackageImpl.getCollectionRangeCS()`

### COLLECTION_RANGE_CS__LAST_EXPRESSION_CS

    static final EReference COLLECTION_RANGE_CS__LAST_EXPRESSION_CS

  The meta object literal for the 'Last Expression CS' containment reference feature.

### CALL_EXP_CS

    static final EClass CALL_EXP_CS

  The meta object literal for the '`Call Exp CS`' class.

  See Also:
    `CallExpCSImpl`, `CSTPackageImpl.getCallExpCS()`

### CALL_EXP_CS__SOURCE

    static final EReference CALL_EXP_CS__SOURCE

  The meta object literal for the 'Source' containment reference feature.

### CALL_EXP_CS__ACCESSOR

    static final EAttribute CALL_EXP_CS__ACCESSOR

  The meta object literal for the 'Accessor' attribute feature.

### CALL_EXP_CS__SIMPLE_NAME_CS

    static final EReference CALL_EXP_CS__SIMPLE_NAME_CS

  The meta object literal for the 'Simple Name CS' containment reference feature.

### LOOP_EXP_CS

    static final EClass LOOP_EXP_CS

  The meta object literal for the '`Loop Exp CS`' class.

  See Also:
    `LoopExpCSImpl`, `CSTPackageImpl.getLoopExpCS()`

### LOOP_EXP_CS__VARIABLE1

    static final EReference LOOP_EXP_CS__VARIABLE1

  The meta object literal for the 'Variable1' containment reference feature.

### LOOP_EXP_CS__VARIABLE2

    static final EReference LOOP_EXP_CS__VARIABLE2

  The meta object literal for the 'Variable2' containment reference feature.

### LOOP_EXP_CS__BODY

    static final EReference LOOP_EXP_CS__BODY

  The meta object literal for the 'Body' containment reference feature.

### ITERATOR_EXP_CS

    static final EClass ITERATOR_EXP_CS

  The meta object literal for the '`Iterator Exp CS`' class.

  See Also:
    `IteratorExpCSImpl`, `CSTPackageImpl.getIteratorExpCS()`

### ITERATE_EXP_CS

    static final EClass ITERATE_EXP_CS

  The meta object literal for the '`Iterate Exp CS`' class.

  See Also:
    `IterateExpCSImpl`, `CSTPackageImpl.getIterateExpCS()`

### FEATURE_CALL_EXP_CS

    static final EClass FEATURE_CALL_EXP_CS

  The meta object literal for the '`Feature Call Exp CS`' class.

  See Also:
    `FeatureCallExpCSImpl`, `CSTPackageImpl.getFeatureCallExpCS()`

### FEATURE_CALL_EXP_CS__ARGUMENTS

    static final EReference FEATURE_CALL_EXP_CS__ARGUMENTS

  The meta object literal for the 'Arguments' containment reference list feature.

### FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS

    static final EReference FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS

  The meta object literal for the 'Is Marked Pre CS' containment reference feature.

### OPERATION_CALL_EXP_CS

    static final EClass OPERATION_CALL_EXP_CS

  The meta object literal for the '`Operation Call Exp CS`' class.

  See Also:
    `OperationCallExpCSImpl`, `CSTPackageImpl.getOperationCallExpCS()`

### STATE_EXP_CS

    static final EClass STATE_EXP_CS

  The meta object literal for the '`State Exp CS`' class.

  See Also:
    `StateExpCSImpl`, `CSTPackageImpl.getStateExpCS()`

### STATE_EXP_CS__SEQUENCE_OF_NAMES

    static final EAttribute STATE_EXP_CS__SEQUENCE_OF_NAMES

  The meta object literal for the 'Sequence Of Names' attribute list feature.

### SIMPLE_TYPE_ENUM

    static final EEnum SIMPLE_TYPE_ENUM

  The meta object literal for the '`Simple Type Enum`' enum.

  See Also:
    `SimpleTypeEnum`, `CSTPackageImpl.getSimpleTypeEnum()`

### PRE_POST_OR_BODY_ENUM

    static final EEnum PRE_POST_OR_BODY_ENUM

  The meta object literal for the '`Pre Post Or Body Enum`' enum.

  See Also:
    `PrePostOrBodyEnum`, `CSTPackageImpl.getPrePostOrBodyEnum()`

### COLLECTION_TYPE_IDENTIFIER_ENUM

    static final EEnum COLLECTION_TYPE_IDENTIFIER_ENUM

  The meta object literal for the '`Collection Type Identifier Enum`' enum.

  See Also:
    `CollectionTypeIdentifierEnum`, `CSTPackageImpl.getCollectionTypeIdentifierEnum()`

### MESSAGE_EXP_KIND

    static final EEnum MESSAGE_EXP_KIND

  The meta object literal for the '`Message Exp Kind`' enum.

  See Also:
    `MessageExpKind`, `CSTPackageImpl.getMessageExpKind()`

### DOT_OR_ARROW_ENUM

    static final EEnum DOT_OR_ARROW_ENUM

  The meta object literal for the '`Dot Or Arrow Enum`' enum.

  See Also:
    `DotOrArrowEnum`, `CSTPackageImpl.getDotOrArrowEnum()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.